Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
PUTCDP OperationsSince 4.5.0SynchronousAuth Required

UnprotectVmInstanceRecoveryPoint

UnprotectVmInstanceRecoveryPoint

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The UUID of the VM instance.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • groupIdlongRequired

      The group ID of the recovery points.

  • systemTagsList

    The system tags.

  • userTagsList

    The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/vm-instances/{vmInstanceUuid}/unprotect-recovery-point

/zstack/v1/vm-instances/{vmInstanceUuid}/unprotect-recovery-point

Operation ID

UnprotectVmInstanceRecoveryPoint

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/unprotect-recovery-point' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"groupId":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history